#pragma once

#include "ISingleControl.h"
#include "ISingleControlContainer.h"

class IButtonSwitch :
	public ISingleControlContainer
{
public:
	IButtonSwitch(IPlugBase* pPlugBase,IPlugNrpn* pPlugNrpn, IGraphics* pGraphics, IRECT rect, int numberOfTabs, const char*vstName, int* paramIds, int* nrpnParams, const char**controlNames);
	~IButtonSwitch(void);
    bool Draw(IGraphics* pGraphics);
	void OnMouseDown(int x, int y, IMouseMod* pMod);

	float getFloatFromNrpn(int nrpnValue);
	float getFloatFromInternal(int intValue);
	int   getInternalFromFloat(float value) ;
	int   getNrpnFromInternal(int intValue) ;
private:
	char **controlNames;
};
