#pragma once

#include "IControl.h"
#include "ISingleControl.h"
#include "ISingleControlContainer.h"

class IPNGSelect : public ISingleControlContainer
{
public:
	IPNGSelect(IPlugBase* pPlugBase,IPlugNrpn* pPlugNrpn, IGraphics* pGraphics, int* paramIds, int x, int y, IBitmap* pBitmap, int numberOfTabs, int* nrpnParams, int* nrpnValues, int spaceX = 0 );
    bool Draw(IGraphics* pGraphics);
	void OnMouseDown(int x, int y, IMouseMod* pMod);
	void OnMouseDblClick(int x, int y, IMouseMod* pMod) {
		OnMouseDown(x, y, pMod);
	}

	float getFloatFromNrpn(int nrpnValue);
	float getFloatFromInternal(int intValue);
	int   getInternalFromFloat(float value) ;
	int   getNrpnFromInternal(int intValue) ;
private:
	int* nrpnValues;
	int numberOfValues;
	int spaceX;
};

