#pragma once

#include "ISingleControlContainerBase.h"
#include "ISingleControl.h"

class ISingleControlContainer : public ISingleControlContainerBase
{
public:
	ISingleControlContainer::ISingleControlContainer(IPlugBase* pPlugBase, IPlugNrpn* pPlugNrpn, IRECT rect, int numberOfTab,  int* paramIds, int* nrpnParams);
	ISingleControlContainer::ISingleControlContainer(IPlugBase* pPlugBase, IPlugNrpn* pPlugNrpn,  int x, int y, IBitmap* pBitmap, int numberOfTab,  int* paramIds, int* nrpnParams);

	void setValueFromHardware(int tab, int controlNumber, int nrpnValue);
	void setValueFromAutomation(int controlNumber, double value);
	void SetDirty(bool pushParamToPlug = true);

	void flushNrpn();

protected:		

	int* currentValues;
	int* paramIds;
	int* nrpnParams;
	ISingleControl** singleControls;
};
