#pragma once

#include "ISingleControlContainer.h"

class ITabSelect :
	public IControl
{
public:
	ITabSelect(IPlugBase* pPlugBase,IPlugNrpn* pPlugNrpn, IRECT rect, const char* title, int numberOfTabs) ;
	~ITabSelect(void);

    bool Draw(IGraphics* pGraphics);
	void OnMouseDown(int x, int y, IMouseMod* pMod);
	void addControl(ISingleControlContainerBase *control);
	void tabChanged(int newTab);

private:
	const char* title;
	int numberOfTabs; 
	int currentTab ;
    WDL_PtrList<ISingleControlContainerBase> controls;
};

