#pragma once

#include "ISingleControlContainerBase.h"
#include "ISingleControl.h"

class IMultipleControlContainer :
	public ISingleControlContainerBase
{
public:
	IMultipleControlContainer(IPlugBase* pPlugBase, IPlugNrpn* pPlugNrpn, IRECT rect, int numberOfTab, int numberOfControls);
	~IMultipleControlContainer(void);

	void setValueFromAutomation(int controlNumber, double value);
	void setValueFromHardware(int tab, int controlNumber, int nrpnValue);

	virtual void SetDirty(int whichValue);

	virtual void flushNrpn();


	virtual int getNrpnParam(int currentTab, int controlNumber) = 0;
	virtual int getParamId(int currentTab, int controlNumber) = 0;
	
protected:
	int numberOfControls;
	int** currentValues;
	ISingleControl*** singleControls;
};
