#pragma once

#include "IControl.h"
#include "IPLugNrpn.h"

class IPresetNameControl : public ITextControl
{
public:

    IPresetNameControl(IPlugBase* pPlugBase, IPlugNrpn* pPlugNrpn,  IRECT pR, int paramIdx, IText* pText);
    ~IPresetNameControl() {}

	virtual void OnMouseDown(int x, int y, IMouseMod* pMod);
	virtual void OnMouseDblClick(int x, int y, IMouseMod* pMod);
	
    bool Draw(IGraphics* pGraphics);

	void TextFromTextEntry( const char* txt );
    void SetTextFromPlug(char* str);

	const char *getName();

private :
	IPlugNrpn* nrpnPlug;

};
