#include "ISingleControl.h"




ISingleControl::ISingleControl(int number, IPlugBase* pPlug, ISingleControlContainerBase* container, int paramId) : IControl(pPlug, IRECT(0,0,0,0), paramId)
{
	this->mHide = true;
	this->myContainer = container;
	this->number = number;
	this->mDisablePrompt = false;
}


void ISingleControl::SetValueFromPlug(double value) {
    this->mValue = value;
	this->myContainer->setValueFromAutomation(this->number, value);
}

