#pragma once

#include "IControl.h"
#include "ISingleControlContainerBase.h"

class ISingleControlContainer;

class ISingleControl : public IControl
{
public:
	ISingleControl(int number, IPlugBase* pPlug, ISingleControlContainerBase* pngSelect, int paramId);

	bool Draw(IGraphics* pGraphics) { return true; }
	void SetValueFromPlug(double value);


protected:
	ISingleControlContainerBase* myContainer;
	int number;
};

